## ide-gui-global ide-gui-global |

## Functions

#define | ide_widget_warning()
void | (*IdeWidgetContextHandler) ()
void | ide_widget_set_context_handler ()
IdeContext * | ide_widget_get_context ()
void | ide_widget_reveal_and_grab ()
IdeWorkbench * | ide_widget_get_workbench ()
IdeWorkspace * | ide_widget_get_workspace ()
gboolean | ide_gtk_show_uri_on_window ()
void | ide_gtk_window_present ()

## Description

## Functions

### ide_widget_warning()

    #define             ide_widget_warning(instance, format, ...)

### IdeWidgetContextHandler ()

    void
    (*IdeWidgetContextHandler) (GtkWidget *widget,
                                IdeContext *context);

### ide_widget_set_context_handler ()

    void
    ide_widget_set_context_handler (gpointer widget,
                                    IdeWidgetContextHandler handler);

Calls `handler` when the IdeContext has been set for `widget` .

#### Parameters

widget | a GtkWidget. | [type Gtk.Widget]
handler | A callback to handle the context. | [scope async]

Since: 3.32

### ide_widget_get_context ()

    IdeContext *
    ide_widget_get_context (GtkWidget *widget);

Gets the context for the widget.

#### Parameters

widget | a GtkWidget |

#### Returns

an IdeContext, or `NULL`.

[nullable][transfer none]

Since: 3.32

### ide_widget_reveal_and_grab ()

    void
    ide_widget_reveal_and_grab (GtkWidget *widget);

### ide_widget_get_workbench ()

    IdeWorkbench *
    ide_widget_get_workbench (GtkWidget *widget);

Gets the IdeWorkbench that contains `widget` .

#### Parameters

widget | a GtkWidget |

#### Returns

an IdeWorkbench or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_widget_get_workspace ()

    IdeWorkspace *
    ide_widget_get_workspace (GtkWidget *widget);

Gets the IdeWorkspace containing `widget` .

#### Parameters

widget | a GtkWidget |

#### Returns

an IdeWorkspace or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_gtk_show_uri_on_window ()

    gboolean
    ide_gtk_show_uri_on_window (GtkWindow *window,
                                const gchar *uri,
                                gint64 timestamp,
                                GError **error);

### ide_gtk_window_present ()

    void
    ide_gtk_window_present (GtkWindow *window);